from django.shortcuts import render, redirect, get_object_or_404
from django.contrib.auth.decorators import login_required

from .models import Url

# Create your views here.

@login_required
def index(request):
    context = {
        'url_list': Url.objects.all()
    }
    return render(request, 'index.html', context)

def redir(request, url_id):
    u = get_object_or_404(Url, id=url_id)
    u.used += 1
    u.save()
    return redirect(u.target)

@login_required
def details(request, url_id):
    context = {
        'url': get_object_or_404(Url, id=url_id)
    }
    return render(request, 'details.html', context)
